[Osaas-commits] r38 - in trunk: . contrib

scm-commit@wald.intevation.org scm-commit at wald.intevation.org
Wed Nov 19 11:08:58 CET 2008


Author: sholl
Date: 2008-11-19 11:08:57 +0100 (Wed, 19 Nov 2008)
New Revision: 38

Added:
   trunk/contrib/
   trunk/contrib/README.txt
   trunk/contrib/osaas
Modified:
   trunk/ChangeLog
Log:
	* contrib/osaas, contrib/README.txt: New. Added SuSE-specific
	  init-Script to start the OSAAS-server



Modified: trunk/ChangeLog
===================================================================
--- trunk/ChangeLog	2007-12-10 14:12:16 UTC (rev 37)
+++ trunk/ChangeLog	2008-11-19 10:08:57 UTC (rev 38)
@@ -1,3 +1,8 @@
+2008-11-19  Stephan Holl  <stephan.holl at intevation.de>
+
+	* contrib/osaas, contrib/README.txt: New. Added SuSE-specific
+	  init-Script to start the OSAAS-server
+
 2007-12-10  Bernhard Herzog  <bh at intevation.de>
 
 	* client/java/owsproxy/README.txt: Add instructions to make the

Added: trunk/contrib/README.txt
===================================================================
--- trunk/contrib/README.txt	2007-12-10 14:12:16 UTC (rev 37)
+++ trunk/contrib/README.txt	2008-11-19 10:08:57 UTC (rev 38)
@@ -0,0 +1,9 @@
+OSAAS - OWS Statistics And Accounting System - Contributions
+============================================================
+
+osaas:  This is a SuSE-specific init-script which adds the possibility to
+        start and stop OSAAS-server as a service. You can manually copy it to
+        /etc/init.d/ and set the propper links to the runlevels you want
+        to start the OSAAS-server.
+
+        Make sure that the script has the executable-permissions set.

Added: trunk/contrib/osaas
===================================================================
--- trunk/contrib/osaas	2007-12-10 14:12:16 UTC (rev 37)
+++ trunk/contrib/osaas	2008-11-19 10:08:57 UTC (rev 38)
@@ -0,0 +1,113 @@
+#! /bin/sh
+# Copyright (c) 2008 Intevation GmbH
+#
+# Author: Stephan Holl <stephan.holl at intevation.de>, based on the work of Kurt Garloff <feedback at suse.de>
+#
+# init.d/osaas
+#
+#   and symbolic its link
+#
+# /sbin/rcosaas
+#
+# System startup script for the osaas server
+#
+### BEGIN INIT INFO
+# Provides: osaas
+# Required-Start: $remote_fs $syslog
+# Required-Stop:  $remote_fs $syslog
+# Default-Start:  3 5
+# Default-Stop:   0 1 2 6
+# Description:    Start the osaas server daemon
+### END INIT INFO
+
+OSAAS_BIN=/opt/gispatcher/osaas-server/server/startosaas.py
+test -x $OSAAS_BIN || exit 5
+OSAAS_PID=/opt/gispatcher/osaas-server/osaas.pid
+OSAAS_CONFIG=/etc/osaas/osaas-config.xml
+test -f $OSAAS_CONFIG || exit 5
+
+# Shell functions sourced from /etc/rc.status:
+#      rc_check         check and set local and overall rc status
+#      rc_status        check and set local and overall rc status
+#      rc_status -v     ditto but be verbose in local rc status
+#      rc_status -v -r  ditto and clear the local rc status
+#      rc_failed        set local and overall rc status to failed
+#      rc_failed <num>  set local and overall rc status to <num><num>
+#      rc_reset         clear local rc status (overall remains)
+#      rc_exit          exit appropriate to overall rc status
+. /etc/rc.status
+
+# First reset status of this service
+rc_reset
+
+# Return values acc. to LSB for all commands but status:
+# 0 - success
+# 1 - generic or unspecified error
+# 2 - invalid or excess argument(s)
+# 3 - unimplemented feature (e.g. "reload")
+# 4 - insufficient privilege
+# 5 - program is not installed
+# 6 - program is not configured
+# 7 - program is not running
+# 
+# Note that starting an already running service, stopping
+# or restarting a not-running service as well as the restart
+# with force-reload (in case signalling is not supported) are
+# considered a success.
+
+case "$1" in
+    start)
+	echo -n "Starting OSAAS Server"
+	## Start daemon with startproc(8). If this fails
+	## the echo return value is set appropriate.
+
+	# NOTE: startproc return 0, even if service is 
+	# already running to match LSB spec.
+	#startproc -u osaas -g osaas -p $OSAAS_PID -t 1 $OSAAS_BIN --config-file=${OSAAS_CONFIG} >/dev/null 2>&1  
+	su osaas -c "$OSAAS_BIN --config-file=${OSAAS_CONFIG} >/dev/null 2>&1 & "
+
+	# Remember status and be verbose
+	rc_status -v
+	;;
+    stop)
+	echo -n "Shutting down OSAAS Server"
+	## Stop daemon with killproc(8) and if this fails
+	## set echo the echo return value.
+
+	#killproc -p $OSAAS_PID -TERM $OSAAS_BIN
+	kill -TERM `cat $OSAAS_PID`
+	rm -f $OSAAS_PID
+
+	# Remember status and be verbose
+	rc_status -v
+	;;
+    restart)
+	## Stop the service and regardless of whether it was
+	## running or not, start it again.
+	$0 stop
+	$0 start
+
+	# Remember status and be quiet
+	rc_status
+	;;
+    status)
+	echo -n "Checking for OSAAS Server: "
+	## Check status with checkproc(8), if process is running
+	## checkproc will return with exit status 0.
+
+	# Status has a slightly different for the status command:
+	# 0 - service running
+	# 1 - service dead, but /var/run/  pid  file exists
+	# 2 - service dead, but /var/lock/ lock file exists
+	# 3 - service not running
+
+	# NOTE: checkproc returns LSB compliant status values.
+	checkproc -p $OSAAS_PID $OSAAS_BIN
+	rc_status -v
+	;;
+    *)
+	echo "Usage: $0 {start|stop|restart|status}"
+	exit 1
+	;;
+esac
+rc_exit


Property changes on: trunk/contrib/osaas
___________________________________________________________________
Name: svn:executable
   + *



More information about the Osaas-commits mailing list